-- Leo's gemini proxy

-- Connecting to git.thebackupbox.net:1965...

-- Connected

-- Sending request

-- Meta line: 20 text/gemini

repo: resdb
action: commit
revision:
path_from:
revision_from: 288b4dec2ea9e137f332ad82a280293d0161c3bc:
path_to:
revision_to:

git.thebackupbox.net

resdb

git://git.thebackupbox.net/resdb

commit 288b4dec2ea9e137f332ad82a280293d0161c3bc
Author: Nick <nick@somerandomnick.ano>
Date:   Sun Apr 18 08:05:34 2010 +0000

    added configure script (so you don't have to modify gitd itself)

diff --git a/configure b/configure
new file mode 100755
index 0000000000000000000000000000000000000000..00f72f466a30f4a5f2349d70d880bd74a06dea96
--- /dev/null
+++ b/configure
@@ -0,0 +1,41 @@
+#!/bin/sh
+
+vars="gitd_ip gitd_basepath"
+
+echo "Welcome to the resdb configurator!" >&2
+echo >&2
+
+for var in $vars ; do
+ export "$var"="$(cat conf/$var)"
+done
+if [ x"$gitd_basepath" = x ]; then
+ gitd_basepath="$(pwd)/"
+fi
+
+echo "Please enter the IP address you'd like gitd to listen on." >&2
+echo "(Default: $gitd_ip)" >&2
+echo -n "IP? " >&2
+read new_gitd_ip
+if [ x"$new_gitd_ip" != x ]; then
+ gitd_ip="$new_gitd_ip"
+fi
+
+echo "Please enter the full path to resdb." >&2
+echo "(Default: $gitd_basepath)" >&2
+echo -n "BasePath? " >&2
+read new_gitd_basepath
+if [ x"$new_gitd_basepath" != x ]; then
+ gitd_basepath="$new_gitd_basepath"
+fi
+
+echo "Proposed configuration:" >&2
+for var in $vars ; do
+ echo "$var=${!var}" >&2
+done
+echo -n "To write the configuration, hit RETURN.  To abort, hit ^C: " >&2
+read write_config
+
+mkdir -p conf || exit 1
+for var in $vars ; do
+ echo "${!var}" > conf/"$var" || exit 1
+done
diff --git a/gitd b/gitd

index 3e9ebcd0129653cbe4b7c51fcbf6e4e27e77371f..

index ..591ca2a7b8117561b0baca5d7d9a0c86321fa306 100755

--- a/gitd
+++ b/gitd
@@ -1,2 +1,3 @@
 #!/bin/sh
-git daemon --listen=1.0.27.102 --base-path=/home/www/resdb/
+repodir="$(basename $0)"
+exec git daemon --listen="$(cat "$repodir"/conf/gitd_ip)" --base-path="$(cat "$repodir"/conf/gitd_basepath)"

-----END OF PAGE-----

-- Response ended

-- Page fetched on Sun Jun 2 09:17:05 2024